using Plots
using CSV
using DataFrames
using DelimitedFiles


path = ARGS[1]
archive_path = ARGS[2]
xname = "frequency"
yname = "dt_latest_dropoff"


filenames = readdir(path, join=false)
csv_filenames = findall(x->occursin(".csv", x), filenames)
model_filenames = findall(x->occursin(".model", x), filenames)
println(csv_filenames)
println(filenames)
df = DataFrame(CSV.File(path*filenames[csv_filenames[1]]))


for i in csv_filenames
    println(filenames[i])
#TODO put all the generated CSV Files together into one big file which is then saved to the correct location
    temp = DataFrame(CSV.File(path*filenames[i]))
    append!(df, temp)
end
println("Saving Combined Dataframe to $archive_path")
CSV.write(archive_path*"results.csv", df)



println("Moving Models to $archive_path")
try
    mkdir("$archive_path/models/")
catch e
    println(e)
end
for name in model_filenames
    mv(path*name, archive_path*"/models/"*name)
end





#TODO put all the generated models in an archive file and save it to the archiving location

#TODO make Plots from the CSV files
